<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.qxgmat.data.dao.QuestionMapper">
  <resultMap id="BaseResultMap" type="com.qxgmat.data.dao.entity.Question">
    <!--
      WARNING - @mbg.generated
    -->
    <id column="id" jdbcType="INTEGER" property="id" />
    <result column="keyword" jdbcType="VARCHAR" property="keyword" typeHandler="com.nuliji.tools.mybatis.handler.StringArrayHandler" />
    <result column="type" jdbcType="VARCHAR" property="type" />
    <result column="place" jdbcType="VARCHAR" property="place" />
    <result column="difficult" jdbcType="VARCHAR" property="difficult" />
    <result column="description" jdbcType="VARCHAR" property="description" />
    <result column="content" jdbcType="VARCHAR" property="content" typeHandler="com.nuliji.tools.mybatis.handler.JsonObjectHandler" />
    <result column="answer" jdbcType="VARCHAR" property="answer" typeHandler="com.nuliji.tools.mybatis.handler.JsonObjectHandler" />
    <result column="question_time" jdbcType="TIMESTAMP" property="questionTime" />
    <result column="qx_time" jdbcType="TIMESTAMP" property="qxTime" />
    <result column="official_time" jdbcType="TIMESTAMP" property="officialTime" />
    <result column="association_time" jdbcType="TIMESTAMP" property="associationTime" />
    <result column="association_content" jdbcType="VARCHAR" property="associationContent" typeHandler="com.nuliji.tools.mybatis.handler.IntegerArrayWithJsonHandler" />
    <result column="total_time" jdbcType="INTEGER" property="totalTime" />
    <result column="total_number" jdbcType="INTEGER" property="totalNumber" />
    <result column="total_correct" jdbcType="INTEGER" property="totalCorrect" />
    <result column="create_time" jdbcType="TIMESTAMP" property="createTime" />
    <result column="update_time" jdbcType="TIMESTAMP" property="updateTime" />
  </resultMap>
  <resultMap extends="BaseResultMap" id="ResultMapWithBLOBs" type="com.qxgmat.data.dao.entity.Question">
    <!--
      WARNING - @mbg.generated
    -->
    <result column="stem" jdbcType="LONGVARCHAR" property="stem" />
    <result column="qx_content" jdbcType="LONGVARCHAR" property="qxContent" />
    <result column="official_content" jdbcType="LONGVARCHAR" property="officialContent" />
  </resultMap>
  <sql id="Base_Column_List">
    <!--
      WARNING - @mbg.generated
    -->
    `id`, `keyword`, `type`, `place`, `difficult`, `description`, `content`, `answer`, 
    `question_time`, `qx_time`, `official_time`, `association_time`, `association_content`, 
    `total_time`, `total_number`, `total_correct`, `create_time`, `update_time`
  </sql>
  <sql id="Blob_Column_List">
    <!--
      WARNING - @mbg.generated
    -->
    `stem`, `qx_content`, `official_content`
  </sql>
</mapper>